#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(v4l2_jpeg_ref_table_luma_qt, "_gpl", "");
KSYMTAB_DATA(v4l2_jpeg_ref_table_chroma_qt, "_gpl", "");
KSYMTAB_DATA(v4l2_jpeg_zigzag_scan_index, "_gpl", "");
KSYMTAB_DATA(v4l2_jpeg_ref_table_luma_dc_ht, "_gpl", "");
KSYMTAB_DATA(v4l2_jpeg_ref_table_luma_ac_ht, "_gpl", "");
KSYMTAB_DATA(v4l2_jpeg_ref_table_chroma_dc_ht, "_gpl", "");
KSYMTAB_DATA(v4l2_jpeg_ref_table_chroma_ac_ht, "_gpl", "");
KSYMTAB_FUNC(v4l2_jpeg_parse_header, "_gpl", "");
KSYMTAB_FUNC(v4l2_jpeg_parse_frame_header, "_gpl", "");
KSYMTAB_FUNC(v4l2_jpeg_parse_scan_header, "_gpl", "");
KSYMTAB_FUNC(v4l2_jpeg_parse_quantization_tables, "_gpl", "");
KSYMTAB_FUNC(v4l2_jpeg_parse_huffman_tables, "_gpl", "");

MODULE_INFO(depends, "");

